﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl" %>
<%@ Import Namespace="HLWebOKBQueryPlugin.Models" %>
<%@ Import Namespace="HLWebOKBQueryPlugin.OKBQueryService" %>
<!-- Put all into a form that calls the "AddFilter" Action-->
<p>
    <%
        CombinedFilter currentFilter = ((FilterModel)Model).Content;
    %>
    <% using (Html.BeginForm("AddFilterAnd", "Filter", FormMethod.Post, new { id = currentFilter.Id, name = currentFilter.Id })) %>
    <% {     %>
    <%
  
        string comboboxName = "filtersCombobox." + currentFilter.Id;
        string hiddenName = "parentId." + currentFilter.Id;
    %>
 
    Select Filter:
    <%: Html.Hidden(hiddenName,currentFilter.Id.ToString()) %>
    <%: Html.DropDownList(comboboxName, new SelectList(((FilterModel)Model).Filters, "FilterTypeName", "Label"))%>
    <input type="submit" value="+" />
</p>
<!-- Build the selected filters. The filtesr will be stored in the session and the
Controller puts the current filters from the session into the model. Selected Filters
will be iterated. -->
<% if (currentFilter.Filters != null)
   {

       foreach (Filter f in currentFilter.Filters)
       {
           if (f != null)
           {  %>
<div>
    <%
           

if ("StringComparisonFilter".Equals(f.GetType().Name))
{  %>
    <% StringComparisonFilter filter = ((StringComparisonFilter)f); %>

    <%: Html.Label(filter.Label)%>
    <%: Html.Label("=") %>
    <%: Html.TextBox(f.Id + ".valueTextbox", (filter.Value))%>
    <%: Html.ActionLink("-","DeleteFilter",  f.Id )%>
    <% }
else if ("NameStringComparisonFilter".Equals(f.GetType().Name))
{ %>
    <% NameStringComparisonFilter filter = ((NameStringComparisonFilter)f); %>
    <%: Html.Label(filter.Label)%>
    <%: Html.Label("= xxx" + f.Id)%>
    <%: Html.TextBox(f.Id + ".valueTextbox" + f.Id,  filter.Value )%>
    <%: Html.ActionLink("-", "DeleteFilter", new { f.Id })%>
    <% }
else if ("StringComparisonAvailableValuesFilter".Equals(f.GetType().Name))
{ %>
    <% StringComparisonAvailableValuesFilter filter = ((StringComparisonAvailableValuesFilter)f); %>
    <%: Html.Label(filter.Label)%>
    <%: Html.Label("=")%> 
    <%: Html.DropDownList(f.Id + ".valueDropDownList", new SelectList(filter.AvailableValues,filter.Value))%>
    <%: Html.ActionLink("-","DeleteFilter",  f.Id )%>
<% }
else if ("NameEqualityComparisonByteArrayFilter".Equals(f.GetType().Name))
{ %>
    <% NameEqualityComparisonByteArrayFilter filter = ((NameEqualityComparisonByteArrayFilter)f); %>
    <%: Html.Label(filter.Label)%>   
    <%: Html.ActionLink("-","DeleteFilter",  f.Id )%>
<% }  
else if ("NameEqualityComparisonBoolFilter".Equals(f.GetType().Name))
{ %>
    <% NameEqualityComparisonBoolFilter filter = ((NameEqualityComparisonBoolFilter)f);
    %>
    <%: Html.Label(filter.Label)%>
    <%: Html.Label("is")%> 
    <%: Html.DropDownList(f.Id + ".valueDropDownList", new SelectList(((FilterModel)Model).GetBoolStates(),filter.Value)) %>
    <%: Html.ActionLink("-","DeleteFilter",  f.Id )%>
<% }
else if ("NameOrdinalComparisonIntFilter".Equals(f.GetType().Name))
{ %>
    <% NameOrdinalComparisonIntFilter filter = ((NameOrdinalComparisonIntFilter)f);   %>
    <%: Html.Label(filter.Label)%>
    <%: Html.Label("is")%>    

    <%: Html.ActionLink("-","DeleteFilter",  f.Id )%>
<% }
else if ("NameStringComparisonAvailableValuesFilter".Equals(f.GetType().Name))
{ %>
    <% NameStringComparisonAvailableValuesFilter filter = ((NameStringComparisonAvailableValuesFilter)f);   %>
    <%: Html.Label(filter.Label)%>
    <%: Html.Label("=")%> 
    <%: Html.DropDownList(f.Id + ".valueDropDownList", new SelectList(filter.AvailableValues,filter.Value))%>   
    <%: Html.ActionLink("-","DeleteFilter",  f.Id )%> 
<% }
else if ("NameOrdinalComparisonDoubleFilter".Equals(f.GetType().Name))
{ %>
    <% NameOrdinalComparisonDoubleFilter filter = ((NameOrdinalComparisonDoubleFilter)f);   %>
    <%: Html.Label(filter.Label)%>
    <%: Html.Label("=")%> 
    <%: Html.TextBox(f.Id + ".valueTextbox" + f.Id,  filter.Value )%>   
    <%: Html.ActionLink("-","DeleteFilter",  f.Id )%>
<% }
else if ("NameOrdinalComparisonFloatFilter".Equals(f.GetType().Name))
{ %>
    <% NameOrdinalComparisonFloatFilter filter = ((NameOrdinalComparisonFloatFilter)f);   %>
    <%: Html.Label(filter.Label)%>
    <%: Html.Label("=")%> 
    <%: Html.TextBox(f.Id + ".valueTextbox" + f.Id,  filter.Value )%>   
    <%: Html.ActionLink("-","DeleteFilter",  f.Id )%>
<% }  
    else if ("NameOrdinalComparisonFloatFilter".Equals(f.GetType().Name))
{ %>
    <% NameOrdinalComparisonLongFilter filter = ((NameOrdinalComparisonLongFilter)f);   %>
    <%: Html.Label(filter.Label)%>
    <%: Html.Label("=")%> 
    <%: Html.TextBox(f.Id + ".valueTextbox" + f.Id,  filter.Value )%> 
    <%: Html.ActionLink("-","DeleteFilter",  f.Id )%>  
<% }                 
                  
       
    
    
     
    
    
    
    
else
{ %>
    <!-- other types ... must be implemented -->
    <%: Html.Label(f.GetType().Name)%>
    <% }
    %>
</div>
<% }
       }
   }%>
<% }
       
%>